# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75.0"
name = "rsiot-websocket-server"
version = "0.0.33"
description = "Websocket-сервер"
readme = "README.md"
keywords = ["iot"]
categories = [
    "api-bindings",
    "gui",
    "network-programming",
]
license = "MIT OR Apache-2.0"

[dependencies.async-trait]
version = "0.1.77"

[dependencies.futures-util]
version = "0.3.29"

[dependencies.rsiot-component-core]
version = "0.0.32"

[dependencies.rsiot-components-config]
version = "0.0.32"

[dependencies.rsiot-messages-core]
version = "0.0.32"

[dependencies.tokio]
version = "1.35.1"
features = [
    "macros",
    "sync",
    "rt",
    "time",
]

[dependencies.tokio-tungstenite]
version = "0.21.0"

[dependencies.tokio-util]
version = "0.7.10"

[dependencies.tracing]
version = "0.1.40"
features = ["log"]

[dependencies.url]
version = "2.5.0"

[features]
single-thread = ["rsiot-component-core/single-thread"]
